Commit df9edca3 authored by dbaio's avatar dbaio
Browse files

Mk/Uses/python.mk: Remove PY_SPHINX shared macro

This shared macro was necessary to use with flavors and not break ports with
USES=python (all versions).

All ports that depends on Sphinx are using the latest version on tree.

Approved by:	python (with hat)
parent 593cc86e
...@@ -645,11 +645,9 @@ PYNUMPY= ${PYTHON_PKGNAMEPREFIX}numpy>=1.16,1<1.20,1:math/py-numpy@${PY_FLAVOR} ...@@ -645,11 +645,9 @@ PYNUMPY= ${PYTHON_PKGNAMEPREFIX}numpy>=1.16,1<1.20,1:math/py-numpy@${PY_FLAVOR}
# Common Python modules that can be needed but only for some versions of Python. # Common Python modules that can be needed but only for some versions of Python.
.if ${PYTHON_REL} < 3500 .if ${PYTHON_REL} < 3500
PY_PYGMENTS= ${PYTHON_PKGNAMEPREFIX}pygments-25>=2.5.1<3:textproc/py-pygments-25@${PY_FLAVOR} PY_PYGMENTS= ${PYTHON_PKGNAMEPREFIX}pygments-25>=2.5.1<3:textproc/py-pygments-25@${PY_FLAVOR}
PY_SPHINX= ${PYTHON_PKGNAMEPREFIX}sphinx18>=0,1:textproc/py-sphinx18@${PY_FLAVOR}
.else .else
PY_PILLOW= ${PYTHON_PKGNAMEPREFIX}pillow>=7.0.0:graphics/py-pillow@${PY_FLAVOR} PY_PILLOW= ${PYTHON_PKGNAMEPREFIX}pillow>=7.0.0:graphics/py-pillow@${PY_FLAVOR}
PY_PYGMENTS= ${PYTHON_PKGNAMEPREFIX}pygments>=2.5.1<3:textproc/py-pygments@${PY_FLAVOR} PY_PYGMENTS= ${PYTHON_PKGNAMEPREFIX}pygments>=2.5.1<3:textproc/py-pygments@${PY_FLAVOR}
PY_SPHINX= ${PYTHON_PKGNAMEPREFIX}sphinx>=3.0,1:textproc/py-sphinx@${PY_FLAVOR}
.endif .endif
.if ${PYTHON_REL} < 3400 .if ${PYTHON_REL} < 3400
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment